// SettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ImageMixer.h"
#include "SettingsDlg.h"

#include "ImageMixerDoc.h"
#include "ImageMixerView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg dialog


CSettingsDlg::CSettingsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSettingsDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingsDlg)
	DDX_Control(pDX, IDC_TRANS_SLIDER, m_TransSlider);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSettingsDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingsDlg)
	ON_WM_NCHITTEST()
	ON_WM_HSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg message handlers

BOOL CSettingsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_TransSlider.SetRange(0,100);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

UINT CSettingsDlg::OnNcHitTest(CPoint point) 
{
	
	//return CDialog::OnNcHitTest(point);

	return HTCAPTION;
}

void CSettingsDlg::SetTransParency(int nTrans)
{
	if(-1 != nTrans)
	{
		m_TransSlider.SetPos(nTrans);
		m_TransSlider.EnableWindow();
	}
	else
	{
		m_TransSlider.EnableWindow(FALSE);
	}
}

void CSettingsDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	CSliderCtrl *pSlide = (CSliderCtrl *) pScrollBar;

	switch (pScrollBar->GetDlgCtrlID())
	{
		case IDC_TRANS_SLIDER:
		{
			int nTrans = m_TransSlider.GetPos();
			if(m_pParent)
			{
				((CImageMixerView*)m_pParent)->SetTransParency(nTrans);
			}
			break;
		}
		
	};

	
	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}

void CSettingsDlg::SetParent(CView *pView)
{
	m_pParent = pView;
}
